lp:~ubuntu-core-dev/libdebian-installer/ubuntu

Created by Colin Watson on 2008-09-02 and last modified on 2017-05-18
Get this branch:
bzr branch lp:~ubuntu-core-dev/libdebian-installer/ubuntu
Members of Ubuntu Core Development Team can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu Core Development Team
Project:
libdebian-installer
Status:
Development

Recent revisions

400. By Mathieu Trudel-Lapierre on 2017-05-18

releasing package libdebian-installer version 0.110ubuntu1

399. By Mathieu Trudel-Lapierre on 2017-05-18

* Merge from Debian unstable. (LP: #1688246) Remaining changes:
  - Add more OMAP4 Panda support.
  - Add OMAP4 Blaze support.
  - Add Freescale "P4080 DS" and "QEMU e500" support.
  - Point to Bazaar packaging repository on Launchpad

398. By Mathieu Trudel-Lapierre on 2017-05-04

releasing package libdebian-installer version 0.102ubuntu3

397. By Mathieu Trudel-Lapierre on 2015-12-24

releasing package libdebian-installer version 0.102ubuntu1

396. By Mathieu Trudel-Lapierre on 2015-12-24

* Resynchronise with Debian. Remaining changes:
  - Add more OMAP4 Panda support.
  - Add OMAP4 Blaze support.
  - Add Freescale "P4080 DS" and "QEMU e500" support.

395. By dann frazier on 2015-01-30

releasing package libdebian-installer version 0.99ubuntu1

394. By dann frazier on 2015-01-28

Drop support for Marvell DB-MV88F6781-BP Development Board. We
no longer support the "dove" subarch (Ref: partman-auto changelog).

393. By dann frazier on 2015-01-28

Switch the Armada XP, EXYNOS5 and KeyStone2 to the "generic" subarch.
These platforms required special flavor kernel builds in previous
Ubuntu releases that are no longer provided.

392. By dann frazier on 2015-01-28

The "generic" subarch is now returned for all unknown flavors,
so drop explicit matching for generic subarch hardware.

391. By dann frazier on 2015-01-28

* Resynchronise with Debian. Remaining changes:
  - Add Dove SoC subarchitecture.
  - Add more OMAP4 Panda support.
  - Add OMAP4 Blaze support.
  - Add ArmadaXP support.
  - Add Calxeda Highbank support.
  - Add Freescale "P4080 DS" and "QEMU e500" support.
  - Add Calxeda ECX-2000 support. (LP: #1196946)
  - Add support for EXYNOS5440-based platforms (LP: #1231251)
  - Add support for the WandBoard quad.
  - Add support for keystone subarch
  - Add support for HP ProLiant m800 Server Cartridge (keystone)
* Replace NULL terminator for the arm map_hardware table, accidentally
  dropped in 0.92 (Closes: #776488).
* Recognise the new ignore_uefi flag from partman-efi.
* Add myself to uploaders.
* Do not write timesamps in Doxygen generated documentation for
  reproducibility of the build process (Closes: #762732).
* arm64: Detect UEFI based systems as "efi" subarch.
* Add ppc64 and ppc64el support, based on a patch from
  Frederic Bonnard.
* Group Loongson 3A and 3B in the same loongson-3 subarchitecture.
* Policy version 3.9.5: no changes required.
* Upgrade doxygen configuration file using "doxygen -u", suppressing
  several build warnings.
* Add support for the Buffalo Linkstation LS-XHL. (Closes: #740787)
* armel: Add support for "Buffalo Linkstation LS-CHLv2". (Closes: #735452)
* armhf/el: Return "generic" subarch for unknown platforms.
* arm64: Always return "generic" subarch.
* mips, mipsel: rewrite subarch-mips-linux.c:
   - Use a regex system instead of a two level lookup to provide more
     flexibility.
   - Use subarch-mips-linux.c for mipsel, as more and more systems are
     bi-endian.
   - Remove non-supported platforms.
   - Add support for Cavium Octeon platforms.
   - Detect more Loongson 2E and 2F machines.
* Add support for Loongson 3A platforms.
* Add support for EXYNOS5440 platforms
* Add support for Calxeda Highbank and Midway platforms
* Add support for arm64
* Add support for virt subarch for arm32/arm64 guests
* Add support for the ARMv8 foundation model
* Add support for Applied Micro X-Gene systems

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
This branch contains Public information 
Everyone can see this information.